Package ru.bitel.bgbilling.modules.tv.server.runtime

# Class ServiceSpecRuntime.TvChannelSpecRuntimeList

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.util.AbstractPeriodItemSet<ServiceSpecRuntime.TvChannelSpecRuntime>
ru.bitel.bgbilling.modules.tv.server.runtime.ServiceSpecRuntime.TvChannelSpecRuntimeList

Enclosing class:
  `ServiceSpecRuntime`

public static class ServiceSpecRuntime.TvChannelSpecRuntimeList extends ru.bitel.common.util.AbstractPeriodItemSet<ServiceSpecRuntime.TvChannelSpecRuntime>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.util.AbstractPeriodItemSet

  `ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet

  `entries`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvChannelSpecRuntimeList(List<ServiceSpecRuntime.TvChannelSpecRuntime> entryList)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ServiceSpecRuntime.TvChannelSpecRuntime>`
  `list(long millisFrom, long millisTo)`

  ### Methods inherited from class ru.bitel.common.util.AbstractPeriodItemSet

  `add, contains, contains, containsAll, containsAll, containsMillis, count, count, countMillis, countMillis, get, isCoincide, item, items, items, items, map, nextActivateTime, remove, size, toString, update`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TvChannelSpecRuntimeList

    public TvChannelSpecRuntimeList(List<ServiceSpecRuntime.TvChannelSpecRuntime> entryList)

- ## Method Details

  - ### list

    public List<ServiceSpecRuntime.TvChannelSpecRuntime> list(long millisFrom, long millisTo)